Retrieves all skills

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

skill
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the skill

string

Required

Max length: 255

description

Description of the skill

string

Max length: 4000

code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating skill

string
sales_organization

Embedded entity "sales_organization" when adding/updating skill

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "82984878-7b86-4742-8015-e77dc0c033f1",
  "name": "sample string 2",
  "description": "sample string 3",
  "code": "sample string 4",
  "sales_organization_id": "c3e911b9-0bbf-45b1-8ea2-d504838fa727",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "136773a8-71a6-4d17-8ba2-3638f97cf69b",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "023ae6ef-89d3-4cb2-be95-f46efa05ad9a",
    "db_currency_id": "a38e762c-a0ab-4ed7-b34f-ad498bb260db",
    "db_language_id": "74ecc3e6-6088-4110-801f-7ea5f08e7f04",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-04-02T05:21:44.0862076+00:00"
  },
  "modified_dateutc": "2026-04-02T05:21:44.0862076+00:00"
}